summaryrefslogtreecommitdiff
path: root/init.d
diff options
context:
space:
mode:
authorRoy Marples <roy@marples.name>2008-01-06 23:58:12 +0000
committerRoy Marples <roy@marples.name>2008-01-06 23:58:12 +0000
commit18adcb1ee8d9c09b0788d899be421e0f5ef1068a (patch)
treed0b72a55bb2c24debbdacd4bec0cfe8538532def /init.d
parent789bd6ab0908fc0b21a4f82bf2a67dbbc5232cc3 (diff)
downloadopenrc-18adcb1ee8d9c09b0788d899be421e0f5ef1068a.tar.gz
openrc-18adcb1ee8d9c09b0788d899be421e0f5ef1068a.tar.bz2
openrc-18adcb1ee8d9c09b0788d899be421e0f5ef1068a.tar.xz
We may as well use echo here as we recreate mtab fully if successfull.
Diffstat (limited to 'init.d')
-rwxr-xr-xinit.d/checkroot2
1 files changed, 1 insertions, 1 deletions
diff --git a/init.d/checkroot b/init.d/checkroot
index d751168..712e0be 100755
--- a/init.d/checkroot
+++ b/init.d/checkroot
@@ -32,7 +32,7 @@ depend() {
do_mtab() {
# Don't create mtab if /etc is readonly
- if ! cp /dev/null /etc/mtab 2>/dev/null; then
+ if ! echo 2>/dev/null >/etc/mtab; then
ewarn "Skipping /etc/mtab initialization (ro root)"
return 0
fi